Bug 9592 - Package dependency updates for master
Summary: Package dependency updates for master
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P3 minor (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 01:55 UTC by Robin Sheat
Modified: 2014-05-26 21:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9592 - remove db-dependency from Members.pm (1.84 KB, patch)
2013-02-13 01:06 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9592 - update dependencies, allow blacklisting (5.41 KB, patch)
2013-02-13 01:14 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2013-02-12 01:55:13 UTC
Need to update the dependencies, and improve the processing of them (blacklist some modules, in particular.)
Comment 1 Robin Sheat 2013-02-13 01:06:04 UTC
Created attachment 15284 [details] [review]
Bug 9592 - remove db-dependency from Members.pm

This was causing test cases to fail on package builds, introduced in bug
7243.
Comment 2 Robin Sheat 2013-02-13 01:14:09 UTC
Created attachment 15285 [details] [review]
Bug 9592 - update dependencies, allow blacklisting

* Update the dependencies to match master
* Blacklist the CHI and Data::Pagination
* Perltidyed the list-deps script
Comment 3 Jared Camins-Esakov 2013-02-15 13:08:34 UTC
This patch has been pushed to master.